package com.bankaudit.dto.process;

import java.util.Date;
import java.util.List;

import com.bankaudit.process.model.AuditTeam;

public class PlanSearchDto {
	
	
	Integer legalEntityCode;
	String unitType;
	String unitCode;
	String unitName;
	String uCriticality;
	String levelCode;
	String parentUnitCode;
	List<AuditTeam> auditTeams;
	Date lastAuditEndDate;
	Date startDate;
	Date endDate;
	Date unitOpenDate;
	String frequency;
	String duration;
	
	
	/**
	 * @return the unitOpenDate
	 */
	public Date getUnitOpenDate() {
		return unitOpenDate;
	}
	/**
	 * @param unitOpenDate the unitOpenDate to set
	 */
	public void setUnitOpenDate(Date unitOpenDate) {
		this.unitOpenDate = unitOpenDate;
	}
	/**
	 * @return the parentUnitCode
	 */
	public String getParentUnitCode() {
		return parentUnitCode;
	}
	/**
	 * @param parentUnitCode the parentUnitCode to set
	 */
	public void setParentUnitCode(String parentUnitCode) {
		this.parentUnitCode = parentUnitCode;
	}
	/**
	 * @return the legalEntityCode
	 */
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}
	/**
	 * @param legalEntityCode the legalEntityCode to set
	 */
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	/**
	 * @return the unitType
	 */
	public String getUnitType() {
		return unitType;
	}
	/**
	 * @param unitType the unitType to set
	 */
	public void setUnitType(String unitType) {
		this.unitType = unitType;
	}
	/**
	 * @return the unitCode
	 */
	public String getUnitCode() {
		return unitCode;
	}
	/**
	 * @param unitCode the unitCode to set
	 */
	public void setUnitCode(String unitCode) {
		this.unitCode = unitCode;
	}
	/**
	 * @return the unitName
	 */
	public String getUnitName() {
		return unitName;
	}
	/**
	 * @param unitName the unitName to set
	 */
	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}
	/**
	 * @return the uCriticality
	 */
	public String getuCriticality() {
		return uCriticality;
	}
	/**
	 * @param uCriticality the uCriticality to set
	 */
	public void setuCriticality(String uCriticality) {
		this.uCriticality = uCriticality;
	}
	/**
	 * @return the levelCode
	 */
	public String getLevelCode() {
		return levelCode;
	}
	/**
	 * @param levelCode the levelCode to set
	 */
	public void setLevelCode(String levelCode) {
		this.levelCode = levelCode;
	}
	/**
	 * @return the auditTeams
	 */
	public List<AuditTeam> getAuditTeams() {
		return auditTeams;
	}
	/**
	 * @param auditTeams the auditTeams to set
	 */
	public void setAuditTeams(List<AuditTeam> auditTeams) {
		this.auditTeams = auditTeams;
	}
	/**
	 * @return the duration
	 */
	
	/**
	 * @param duration the duration to set
	 */
	
	/**
	 * @return the lastAuditEndDate
	 */
	public Date getLastAuditEndDate() {
		return lastAuditEndDate;
	}
	/**
	 * @param lastAuditEndDate the lastAuditEndDate to set
	 */
	public void setLastAuditEndDate(Date lastAuditEndDate) {
		this.lastAuditEndDate = lastAuditEndDate;
	}
	/**
	 * @return the startDate
	 */
	public Date getStartDate() {
		return startDate;
	}
	/**
	 * @param startDate the startDate to set
	 */
	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}
	/**
	 * @return the endDate
	 */
	public Date getEndDate() {
		return endDate;
	}
	/**
	 * @param endDate the endDate to set
	 */
	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
	public String getFrequency() {
		return frequency;
	}
	public void setFrequency(String frequency) {
		this.frequency = frequency;
	}
	public String getDuration() {
		return duration;
	}
	public void setDuration(String duration) {
		this.duration = duration;
	}
	
	
	
    
}
